Comment 13 for bug 341183

Thank you yaohua! Your fix worked for me as well. I wanted to note that I already had a module present at /lib/modules/2.6.28-15-generic/kernel/drivers/net/atl1e/at1le.ko, but this pre-installed one didn't work. I had to download the one from Atheros.